Skip to main content
POST
/
api_keys
/
generate_web3_key
/api/v1/api_keys/generate_web3_key
curl --request POST \
  --url https://api.venice.ai/api/v1/api_keys/generate_web3_key \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "apiKeyType": "ADMIN",
  "address": "0x45B73055F3aDcC4577Bb709db10B19d11b5c94eE",
  "signature": "0xbb5ff2e177f3a97fa553057864ad892eb64120f3eaf9356b4742a10f9a068d42725de895b5e45160b679cbe6961dc4cb552ba10dc97bdd8258d9154810785c451c",
  "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  "consumptionLimit": {
    "usd": 50,
    "diem": 10,
    "vcu": 30
  },
  "description": "Web3 API Key",
  "expiresAt": "2023-10-01T12:00:00.000Z"
}
'
{
  "data": {
    "apiKey": "<string>",
    "apiKeyType": "ADMIN",
    "consumptionLimit": {
      "usd": 50,
      "diem": 10,
      "vcu": 30
    },
    "expiresAt": "2023-10-01T12:00:00.000Z",
    "id": "e28e82dc-9df2-4b47-b726-d0a222ef2ab5",
    "description": "Example API Key"
  },
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://veniceai-experiment-guides-top-level-tab.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autonomous Agent API Key Creation

Please see this guide on how to use this endpoint.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
apiKeyType
enum<string>
required

The API Key type. Admin keys have full access to the API while inference keys are only able to call inference endpoints.

Available options:
INFERENCE,
ADMIN
Example:

"ADMIN"

address
string
required

The wallet's address

Example:

"0x45B73055F3aDcC4577Bb709db10B19d11b5c94eE"

signature
string
required

The token, signed with the wallet's private key

Example:

"0xbb5ff2e177f3a97fa553057864ad892eb64120f3eaf9356b4742a10f9a068d42725de895b5e45160b679cbe6961dc4cb552ba10dc97bdd8258d9154810785c451c"

token
string
required
Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"

consumptionLimit
object

The API Key consumption limits for each epoch.

Example:
{ "usd": 50, "diem": 10, "vcu": 30 }
description
string
default:Web3 API Key

The API Key description

Example:

"Web3 API Key"

expiresAt

The API Key expiration date. If not provided, the key will not expire.

Available options:
Example:

"2023-10-01T12:00:00.000Z"

Response

200 - application/json

OK

data
object
required
success
boolean
required